PHP Manualen
forrige |  | næste

# apache_setenv

(PHP 4 >= 4.2.0, PHP 5)

apache_setenv -- Set an Apache subprocess_env variable

## Beskrivelse

bool apache_setenv ( string variable, string value [, bool walk_to_top] )

apache_setenv() sets the value of the Apache environment variable specified by variable.

> Bemærk: When setting an Apache environment variable, the corresponding $_SERVER variable is not changed.

## Parameterliste

variable

  The environment variable that's being set.

value

  The new variable value.

walk_to_top

  Whether to set the top-level variable available to all Apache layers.

## Returneringsværdier

Returnerer `TRUE` ved succes, `FALSE` ved fejl.

## Eksempler

Eksempel 1. Setting an Apache environment variable using apache_setenv()

`<?php apache_setenv("EXAMPLE_VAR", "Example Value"); ?>`

## Notes

> Bemærk: apache_setenv() can be paired up with apache_getenv() across separate pages or for setting variables to pass to Server Side Includes (.shtml) that have been included in PHP scripts.

## Se også

apache_getenv()

forrige | hjem | næste
apache_response_headers | op | ascii2ebcdic